org.richfaces.renderkit

## Class AbstractExtendedTableRenderer.G3HeaderEncodeStrategy

- java.lang.Object
- - org.richfaces.renderkit.AbstractExtendedTableRenderer.G3HeaderEncodeStrategy

- All Implemented Interfaces:
    HeaderEncodeStrategy
  Enclosing class:
    AbstractExtendedTableRenderer

      protected class AbstractExtendedTableRenderer.G3HeaderEncodeStrategy
      extends java.lang.Object
      implements HeaderEncodeStrategy

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractExtendedTableRenderer.G3HeaderEncodeStrategy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent column, java.lang.String facetName, boolean sortableColumn)`
    `void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent column, java.lang.String facetName, boolean sortableColumn)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractExtendedTableRenderer.G3HeaderEncodeStrategy

          protected AbstractExtendedTableRenderer.G3HeaderEncodeStrategy()

  - ### Method Detail

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context,
                         javax.faces.context.ResponseWriter writer,
                         javax.faces.component.UIComponent column,
                         java.lang.String facetName,
                         boolean sortableColumn)
                           throws java.io.IOException

      Specified by:
        `encodeBegin` in interface `HeaderEncodeStrategy`
      Throws:
        `java.io.IOException`

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext context,
                       javax.faces.context.ResponseWriter writer,
                       javax.faces.component.UIComponent column,
                       java.lang.String facetName,
                       boolean sortableColumn)
                         throws java.io.IOException

      Specified by:
        `encodeEnd` in interface `HeaderEncodeStrategy`
      Throws:
        `java.io.IOException`

Copyright © 2013. All Rights Reserved.